openapi: 3.0.0
info:
  title: Clearcable NOMS
  description: Clearcable NOMS (Nomad Management System) http://clearcable.ca/
  contact: {}
  version: '1.0.0'
servers:
- url: https://localhost/
  variables: {}
paths:
  /read/realtimedata/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemRealTimeData
      description: CableModem Real Time Data
      operationId: getCableModemRealTimeData
      parameters:
      - name: macAddress
        in: path
        description: MAC Address has to contain 12 hex characters
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/list_macs/hourly:
    get:
      tags:
      - default
      summary: getMacsWithHourlyData
      description: Load List of Macs with Hourly Data Available
      operationId: getMacsWithHourlyData
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/hourly/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getMacWithHourlyData
      description: Load Hourly Data For A Single Mac
      operationId: getMacWithHourlyData
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/monthly/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getMacWithMonthlyData
      description: Load Monthly Data For A Single Mac
      operationId: getMacWithMonthlyData
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/this_month_sum/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getSumOfTransfersInCurrentMonth
      description: Load Sum of Transfers In Current Month For A Single Mac
      operationId: getSumOfTransfersInCurrentMonth
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/top_this_month/{limit}:
    get:
      tags:
      - default
      summary: getMACsTransferredMostCurrentMonth
      description: Load List of Macs Which Transferred Most In Current Month
      operationId: getMACsTransferredMostCurrentMonth
      parameters:
      - name: limit
        in: path
        description: Limit Integer of the amount they transferred.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/sum_per_mac_in_month/{date}:
    get:
      tags:
      - default
      summary: getSumTransfersInMonthForEachMac
      description: Load Sum of Transfers In Month For Each Mac
      operationId: getSumTransfersInMonthForEachMac
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/sum_per_mac_in_month/{date}/count:
    get:
      tags:
      - default
      summary: getSumTransfersInMonthForEachMacCount
      description: Load Sum of Transfers In Month For Each Mac Count Only
      operationId: getSumTransfersInMonthForEachMacCount
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/sum_per_mac_in_month/{date}/sort/total:
    get:
      tags:
      - default
      summary: getSumTransfersInMonthForEachMacSortTotal
      description: Load Sum of Transfers In Month For Each Mac Sort Total
      operationId: getSumTransfersInMonthForEachMacSortTotal
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/sum_per_mac_in_month/{date}/sort/upload:
    get:
      tags:
      - default
      summary: getSumTransfersInMonthForEachMacSortUpload
      description: Load Sum of Transfers In Month For Each Mac Sort Upload
      operationId: getSumTransfersInMonthForEachMacSortUpload
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/sum_per_mac_in_month/{date}/sort/download:
    get:
      tags:
      - default
      summary: getSumTransfersInMonthForEachMacSortDownload
      description: Load Sum of Transfers In Month For Each Mac Sort Download
      operationId: getSumTransfersInMonthForEachMacSortDownload
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/sum_per_mac_in_month/{date}/limit/{limitStart}/{limitCount}:
    get:
      tags:
      - default
      summary: getSumTransfersInMonthForEachMacLimit
      description: Load Sum of Transfers In Month For Each Mac Limit
      operationId: getSumTransfersInMonthForEachMacLimit
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      - name: limitStart
        in: path
        description: Limit Start Rows Returned
        required: true
        style: simple
        schema:
          type: integer
          format: int32
      - name: limitCount
        in: path
        description: Limit Count of Rows Returned
        required: true
        style: simple
        schema:
          type: integer
          format: int32
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/list_services_in_month/{date}:
    get:
      tags:
      - default
      summary: getSumServices
      description: Get Services by Month for MACs
      operationId: getSumServices
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_rf/v0.1/list_macs/hourly:
    get:
      tags:
      - default
      summary: getAllCableModemHourly
      description: Load List of Macs with Hourly Data Available
      operationId: getAllCableModemHourly
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_rf/v0.1/hourly/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemHourly
      description: '   Load Hourly Data For A Single Mac'
      operationId: getCableModemHourly
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_rf/v0.1/daily/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemDailyMac
      description: Load Daily Data For A Single Mac
      operationId: getCableModemDailyMac
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_rf/v0.1/monthly/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemMonthly
      description: Load Monthly Data For A Single Mac
      operationId: getCableModemMonthly
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_rf/v0.1/this_month_average/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemCurrentMonthAverage
      description: Load Cable Modem Current Month Average
      operationId: getCableModemCurrentMonthAverage
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_transfer/v0.1/average_per_mac_in_month/{date}:
    get:
      tags:
      - default
      summary: getCableModemAverageMac
      description: Load Average of Rf In Current Month For A Single Mac
      operationId: getCableModemAverageMac
      parameters:
      - name: date
        in: path
        description: Date in YYYY-mm
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/list_macs/hourly:
    get:
      tags:
      - default
      summary: getAllCableModemFlapHourly
      description: Load List of Macs with Hourly Data Available
      operationId: getAllCableModemFlapHourly
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/list_macs/hourly/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemFlapHourly
      description: Load Hourly Data For A Single Mac
      operationId: getCableModemFlapHourly
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/daily/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemFlapDaily
      description: Load Daily Data For A Single Mac
      operationId: getCableModemFlapDaily
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/monthly/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemFlapMonthly
      description: Load Monthly Data For A Single Mac
      operationId: getCableModemFlapMonthly
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/this_day_sum/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemFlapCurrentDay
      description: Load Monthly Data For A Single Mac Current Day
      operationId: getCableModemFlapCurrentDay
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/this_month_sum/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemFlapCurrentMonth
      description: Load Monthly Data For A Single Mac Current Month
      operationId: getCableModemFlapCurrentMonth
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/last_month_sum/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemFlapLastMonth
      description: Load Monthly Data For A Single Mac Last Month
      operationId: getCableModemFlapLastMonth
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_flap/v0.1/top_this_hour/{limit}:
    get:
      tags:
      - default
      summary: getCableModemFlapCurrentMonthMost
      description: Load List of Macs Which Had the Most Flaps In Current Month
      operationId: getCableModemFlapCurrentMonthMost
      parameters:
      - name: limit
        in: path
        description: limit amount transferred
        required: true
        style: simple
        schema:
          type: integer
          format: int32
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /read/cablemodem_status/v0.1/mac/{macAddress}:
    get:
      tags:
      - default
      summary: getCableModemStatus
      description: Cable Modem Status Stats v0.1
      operationId: getCableModemStatus
      parameters:
      - name: macAddress
        in: path
        description: MAC Address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
tags:
- name: default
  description: ''
externalDocs:
  description: Find out more about the OpenAPI Initiative
  url: https://www.openapis.org/
